# Achievement

<details>

<summary>Свойства</summary>

[id](#id)

[guildID](#guildid)

[name](#name)

[emoji](#emoji)

[type](#type)

[amount](#amount)

[items](#items)

[roles](#roles)

[rewards](#rewards)

[enable](#enable)

[disabled\_due\_to\_premium](#disabled_due_to_premium)

</details>

## Свойства

### [.id](#id)

ID достижения\
Тип: [String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)

***

### [.guildID](#guildid)

ID сервера\
Тип: [String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)

***

### [.name](#name)

Название достижения\
Тип: [String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)

***

### [.emoji](#emoji)

Эмодзи достижения\
Тип: [String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)

***

### [.type](#type)

Тип достижения\
Тип: [String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String) | [AchievementType](/api/data-types/achievement-type.md)

***

### [.amount](#amount)

Количество для выполнения\
Тип: ?[Number](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number)

***

### [.items](#items)

ID предметов для типа задач Item/Craft/FishingItem/MiningItem\
Тип: ?[Array](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array) <[String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)>

***

### [.roles](#roles)

ID ролей для типа задач Roles\
Тип: ?[Array](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array) <[String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)>

***

### [.rewards](#rewards)

Награды достижения\
Тип: [Array](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array) <[RewardData](/api/data-types/reward-data.md)>

***

### [.enable](#enable)

Достижение включено\
Тип: [Boolean](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean)

***

### [.disabled\_due\_to\_premium](#disabled_due_to_premium)

Выключено из-за отсутствующего премиума\
Тип: [Boolean](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wetbot.space/api/data-types/achievement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
